#include <QtGui>
#include "mainfrm.h"

void mainfrm::f_charge_liste_files(QString local_path)
{
	if ( local_path != "" )
	{
		lstfiles->clear();
		QDir tmpdir;
		tmpdir.setPath(local_path);
		QStringList filters;
     		filters << "*.jpg" << "*.JPG" << "*.jpeg" << "*.JPEG" << "*.png" << "*.PNG";
     		tmpdir.setNameFilters(filters);
		QString wlfile;
		foreach (wlfile, tmpdir.entryList(QDir::Files))
		{
				QListWidgetItem *item = new QListWidgetItem(lstfiles);
				item->setIcon(QIcon(":/new/prefix1/Interface/miniature.png"));
				item->setText(wlfile);
		}
		poursuite_2 = 0;
		isplaying = true;
		if ( lstfiles->count() > 0 )
		{
			f_affiche_preview();
		}
	}
}

void mainfrm::f_refresh_liste()
{
	pntdir->refresh(idxmod);
}

void mainfrm::f_treedir_click(QModelIndex mdix)
{
	isplaying = false;
	current_path = pntdir->filePath(mdix);
	QTimer::singleShot(200, this, SLOT(f_chng_directory()));
}

void mainfrm::f_miniature(QListWidgetItem* mywidget)
{
	QPixmap wl_img_001;
	if ( wl_img_001.load(current_path + "/" + mywidget->text()) == true )
	{
		preview_image->setPixmap( wl_img_001 );
		preview_depth->setText(tr("Couleurs : ") + QString::number(wl_img_001.depth()) + " bits");
		preview_size->setText(tr("Taille : ") + QString::number(wl_img_001.width()) + "x" + QString::number(wl_img_001.height()) + " px");
		preview_image->show();
		preview_size->show();
		preview_depth->show();
	}
}

void mainfrm::f_dbl_load_photo()
{
	if ( tmpint_5 == 0 )
	{
		load_photo();
		tmpint_5 = 0;
	}
	else
	{
		f_change_fond();
		f_close_bib();
	}
}

void mainfrm::f_select_all()
{
	if ( lstfiles->count() > 0 )
	{
		lstfiles->selectAll();
	}
}

void mainfrm::f_type_import()
{
	if ( tmpint_5 == 0 )
	{
		load_photo();
		tmpint_5 = 0;
	}
	else
	{
		f_change_fond();
		f_close_bib();
	}
}

void mainfrm::f_affiche_preview()
{
    	mywidget = lstfiles->item(poursuite_2);

	if ( gl_pix_1.load( current_path + "/" + mywidget->text() ) == true )
	{
		gl_pix_2 = gl_pix_1.scaledToHeight ( 128, Qt::FastTransformation );
		mywidget->setIcon(QIcon(gl_pix_2));
		++poursuite_2;
	}
	else
	{
		mywidget = lstfiles->takeItem(poursuite_2);
	}
	if ( poursuite_2 < lstfiles->count() && isplaying == true )
	{
		QTimer::singleShot(30, this, SLOT(f_affiche_preview()));
	}
}

void mainfrm::f_chng_directory()
{
	f_charge_liste_files(current_path);
	/*isplaying = false;
	QString mydir = QFileDialog::getExistingDirectory( this, tr("choisissez votre dossier d'images"), current_path, QFileDialog::ShowDirsOnly | QFileDialog::DontResolveSymlinks);
    	if ( mydir.isNull() )
    	{
    		if ( poursuite_2 < lstfiles->count())
    		{
    			isplaying = true;
    			QTimer::singleShot(1, this, SLOT(f_affiche_preview()));
    		}
    	}
	else
	{
		current_path = mydir;
		f_charge_liste_files(mydir);
	}*/
}

void mainfrm::f_open_bib()
{
	if ( poursuite_2 < lstfiles->count() )
	{
		QTimer::singleShot(10, this, SLOT(f_affiche_preview()));
		isplaying = true;
	}
	frame_topmenu->setDisabled(true);
	bt_preview->setDisabled(true);
	bt_launch_gimp->setDisabled(true);
	preview_image->hide();
	preview_size->hide();
	preview_depth->hide();
	tmpint_5 = 0;
	frame_bibliotheque->setGeometry(10,50,981,461);
	frame_bibliotheque->show();
	frame_bibliotheque->raise();
}

void mainfrm::f_open_bib_fond()
{
	if ( poursuite_2 < lstfiles->count() )
	{
		QTimer::singleShot(10, this, SLOT(f_affiche_preview()));
		isplaying = true;
	}
	frame_topmenu->setDisabled(true);
	bt_preview->setDisabled(true);
	bt_launch_gimp->setDisabled(true);
	preview_image->hide();
	preview_size->hide();
	preview_depth->hide();
	tmpint_5 = 1;
	frame_bibliotheque->setGeometry(10,50,981,461);
	frame_bibliotheque->show();
	frame_bibliotheque->raise();
}

void mainfrm::f_close_bib()
{
	isplaying = false;
	lstfiles->clearSelection();
	frame_topmenu->setEnabled(true);
	bt_preview->setEnabled(true);
	bt_launch_gimp->setEnabled(true);
	frame_bibliotheque->hide();
	menu_images->setEnabled(true);
	pntmygl->bcle_render = 1;
}
