#include <QtGui>
#include <QMessageBox>
#include "mainfrm.h"

void mainfrm::f_gris()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-type" << "Grayscale" << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_paint()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-paint" << QString::number(1) << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_edge()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-edge" << QString::number(1) << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_rneg()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-rotate";
		arguments << "-90";
		arguments << "-monitor"; 
		arguments << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_rpos()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-rotate";
		arguments << "90";
		arguments << "-monitor"; 
		arguments << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_fade()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-vignette";
		arguments << "80x50";
		arguments << "-monitor"; 
		arguments << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_emboss()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-emboss" << QString::number(10) << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_sharpen()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-sharpen" << QString::number(10) << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_blur()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-blur" << QString::number(10) << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_negate()
{
	if ( nbre_photos >= 0 )
	{
		this->setDisabled(true);
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-negate" << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
	}
}

void mainfrm::f_sepia()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-sepia-tone" << "80%" << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_pcontraste()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "-contrast" << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::f_mcontraste()
{
	if ( nbre_photos >= 0 )
	{
		QString program = "convert";
        	QStringList arguments;
		//
		outfilename = table_photos[current_diapo][0];
		//
        	arguments << "+contrast" << "-monitor" << wpathprojet + "/" + table_photos[current_diapo][0] << wpathprojet + "/tmpphoto.jpg";
        	myprocess_1.start( program, arguments );
		this->setDisabled(true);
	}
}

void mainfrm::lecture_console_magick()
{
	int j;
	QByteArray newData = myprocess_1.readAllStandardOutput();
	QString wl_var_1 = QString::fromLocal8Bit(newData);
        j = wl_var_1.indexOf("%", 0);
        if ( j != -1 )
        {
		QString prcvalue;
		if ( wl_var_1.mid(j-3,1) == " " )
		{
			prcvalue = wl_var_1.mid(j-2,2);
		}
		else
		{
			prcvalue = wl_var_1.mid(j-3,3);
		}
        	pb_img_magick->setValue(prcvalue.toInt());
        }
}

void mainfrm::f_preview_originale()
{
	frame_preview_magick->hide();
	bt_play->setEnabled(true);
	bt_play_all->setEnabled(true);
	bt_start->setEnabled(true);
	bt_end->setEnabled(true);
	frame_toptimeline->setEnabled(true);
	//
	frame_topmenu->setEnabled(true);
	menu_images->setEnabled(true);
	contain_timeline->setEnabled(true);
	pntmygl->bcle_render = 1;
}

void mainfrm::f_preview_modifiee()
{
	QImage wl_pix_1;
	if ( wl_pix_1.load(wpathprojet + "/tmpphoto.jpg") == true )
	{
		wl_pix_1.save(wpathprojet + "/" + outfilename + ".jpg", "JPEG", 75);
		table_photos[current_diapo][0] = outfilename + ".jpg";
		QLabel *mylabel;
		QIcon myicon = lst_transitions->itemIcon(lst_transitions->currentIndex());
		mylabel = table_pnt_img[current_diapo];
		QPixmap wl_pix_2(wg_diapositive);
		QImage wl_pix_3;
		if ( wl_pix_1.height() > wl_pix_1.width() )
		{
			wl_pix_3 = wl_pix_1.scaledToHeight ( 63, Qt::FastTransformation );
		}
		else
		{
			wl_pix_3 = wl_pix_1.scaledToWidth ( 83, Qt::FastTransformation );
		}
		QPainter p;
		p.begin(&wl_pix_2);
		p.drawImage(7 + ((83 - wl_pix_3.width()) / 2), 7 + ((63 - wl_pix_3.height()) / 2), wl_pix_3, 0, 0, 83, 63 );
		if ( table_photos[current_diapo][24] != "" )
		{
			p.drawPixmap(2, 57, wg_comment, 0, 0, -1, -1 );
		}
		myicon.paint ( &p, 56, 45, 32, 24, Qt::AlignCenter, QIcon::Normal, QIcon::On );
		p.end();
		mylabel->setPixmap(wl_pix_2);
		frame_preview_magick->hide();
		bt_play->setEnabled(true);
		bt_play_all->setEnabled(true);
		bt_start->setEnabled(true);
		bt_end->setEnabled(true);
		frame_toptimeline->setEnabled(true);
		//
		frame_topmenu->setEnabled(true);
		menu_images->setEnabled(true);
		contain_timeline->setEnabled(true);
		pntmygl->bcle_render = 1;		
		affichage_diapo();
		pntmygl->bcle_render = 1;
	}
}

void mainfrm::end_process(int, QProcess::ExitStatus)
{
	frame_effets->hide();
	must_redraw = 1;
	myprocess_1.terminate();
	this->setEnabled(true);
	QImage wl_pix_1;
	if ( wl_pix_1.load(wpathprojet + "/tmpphoto.jpg") == true )
	{
		QImage wl_pix_2;
		wl_pix_2 = wl_pix_1.scaled ( 471, 376, Qt::KeepAspectRatio, Qt::FastTransformation);
		QPixmap wl_pix_3(471,376);
		//
		wl_pix_3.fill(Qt::white);
		QPainter p;
		p.begin(&wl_pix_3);
		p.drawImage(235, ((376 - wl_pix_2.height())/2), wl_pix_2, 235, 0, -1, -1 );
		p.end();
		//
		QImage wl_pix_4;
		QPixmap wl_pix_5(471,376);
		wl_pix_5.fill(Qt::white);
		wl_pix_1.load(wpathprojet + "/" + table_photos[current_diapo][0]);
		wl_pix_4 = wl_pix_1.scaled ( 471, 376, Qt::KeepAspectRatio, Qt::FastTransformation);
		//p.begin(&wl_pix_5);
		//p.drawImage(((471 - wl_pix_4.width())/2), ((376 - wl_pix_4.height())/2), wl_pix_4, 0, 0, -1, -1 );
		//p.end();
		p.begin(&wl_pix_3);
		p.drawImage(((471 - wl_pix_4.width())/2), ((376 - wl_pix_2.height())/2), wl_pix_4, 235, 0, -1, -1 );
		QColor mycolor(0,0,0);
		QColor mycolor2(255,255,255);
		QColor mycolor3(255,0,0);
		QBrush mybrush(mycolor,Qt::SolidPattern);
		p.fillRect( 15, ((376 - wl_pix_2.height())/2) + 10, 62, 15, mybrush );
		p.fillRect( 250, ((376 - wl_pix_2.height())/2) + 10, 62, 15, mybrush );
		p.setPen(mycolor2);
		p.drawText( 20, ((376 - wl_pix_2.height())/2)+ 21, tr("Originale") );
		p.drawText( 255, ((376 - wl_pix_2.height())/2) + 21, tr("Modifiee") );
		QPen mypen(Qt::DashLine);
		mypen.setColor(mycolor3);
		mypen.setWidth( 3 );
		p.setPen(mypen);
		p.drawLine( 234, 0, 234, 376 );
		p.end();

		preview_1->setPixmap(wl_pix_3);
		//
		frame_preview_magick->setGeometry(215,111,511,461);
		frame_preview_magick->show();
		frame_preview_magick->raise();
	}
	else
	{
		QMessageBox::information(this, "Manslide", tr("Erreur ImageMagick ..."));
	}
}

void mainfrm::f_hmirror()
{
	if ( nbre_photos >= 0 )
	{
		QImage wl_img_1(wpathprojet + "/" + table_photos[current_diapo][0]);
		QImage wl_img_2 = wl_img_1.mirrored ( true, false );
		//
		outfilename = table_photos[current_diapo][0];
		//
		wl_img_2.save(wpathprojet + "/tmpphoto.jpg","JPEG",75);
		end_process(0,QProcess::NormalExit);
	}
}

void mainfrm::f_vmirror()
{
	if ( nbre_photos >= 0 )
	{
		QImage wl_img_1(wpathprojet + "/" + table_photos[current_diapo][0]);
		QImage wl_img_2 = wl_img_1.mirrored ( false, true );
		//
		outfilename = table_photos[current_diapo][0];
		//
		wl_img_2.save(wpathprojet + "/tmpphoto.jpg","JPEG",75);
		end_process(0,QProcess::NormalExit);
	}
}
