#include <QApplication>
#include "mainfrm.h"
#include <QTranslator>
#include <QFile>
#include <QDir>
#include <QLibraryInfo>

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	//
	QTranslator qtappTranslator;
	qtappTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	app.installTranslator(&qtappTranslator); 
	//
	QTranslator qtTranslator;
	QDir currentDir = QDir::homePath();
	QFile configfile( currentDir.path() + "/.manslide.cnf" );
	if (configfile.open(QFile::ReadOnly)) 
	{
		QByteArray newData = configfile.readLine(0);
		newData = configfile.readLine(0);
		QString wl_var_1 = QString::fromLocal8Bit(newData);
		configfile.close();

		if ( wl_var_1.mid(0,3) == "Eng" )
		{
			qtTranslator.load("manslide_en", qApp->applicationDirPath());
			app.installTranslator(&qtTranslator);
		}
		else
		{
			if ( wl_var_1.mid(0,3) == "Cat" )
			{
				qtTranslator.load("manslide_ca", qApp->applicationDirPath());
				app.installTranslator(&qtTranslator);
			}
			else
			{
				if ( wl_var_1.mid(0,3) == "Pol" )
				{
					qtTranslator.load("manslide_pl", qApp->applicationDirPath());
					app.installTranslator(&qtTranslator);
				}
				else
				{
					if ( wl_var_1.mid(0,3) == "Rus" )
					{
						qtTranslator.load("manslide_ru", qApp->applicationDirPath());
						app.installTranslator(&qtTranslator);
					}
					else
					{
						if ( wl_var_1.mid(0,3) == "Ita" )
						{
							qtTranslator.load("manslide_it", qApp->applicationDirPath());
							app.installTranslator(&qtTranslator);
						}
						else
						{
							if ( wl_var_1.mid(0,3) == "Rom" )
							{
								qtTranslator.load("manslide_ro", qApp->applicationDirPath());
								app.installTranslator(&qtTranslator);
							}
							else
							{
								if ( wl_var_1.mid(0,3) == "Ger" )
								{
									qtTranslator.load("manslide_de", qApp->applicationDirPath());
									app.installTranslator(&qtTranslator);
								}
								else
								{
									if ( wl_var_1.mid(0,3) == "Dut" )
									{
										qtTranslator.load("manslide_nl", qApp->applicationDirPath());
										app.installTranslator(&qtTranslator);
									}
									else
									{
										if ( wl_var_1.mid(0,3) == "Esp" )
										{
											qtTranslator.load("manslide_sp", qApp->applicationDirPath());
											app.installTranslator(&qtTranslator);
										}
										else
										{
											if ( wl_var_1.mid(0,3) == "Hun" )
											{
												qtTranslator.load("manslide_hu", qApp->applicationDirPath());
												app.installTranslator(&qtTranslator);
											}
											else
											{
												if ( wl_var_1.mid(0,3) == "Suo" )
												{
													qtTranslator.load("manslide_fi", qApp->applicationDirPath());
													app.installTranslator(&qtTranslator);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	else
	{
		
		qtTranslator.load("manslide_en", qApp->applicationDirPath());
		app.installTranslator(&qtTranslator);
	}
	mainfrm *dialog = new mainfrm;
	dialog->show();
	return app.exec();
}
