#ifndef MAINFRM_H
#define MAINFRM_H

#include <QDialog>
#include <QProcess>
#include <QDirModel>
#include <QListWidgetItem>
#include "ui_mainfrm.h"
#include "tetrahedron.h"

class mainfrm : public QDialog, public Ui::mainfrm
{
	Q_OBJECT
	public:
		mainfrm(QWidget *parent = 0);
		Tetrahedron *pntmygl;
		QDirModel *pntdir;
		QModelIndex idxmod;
    		QListWidgetItem *mywidget;
		QString current_path;
		QString path_photos_capture;
		QString path_musique_import;
		QString table_photos[400][34];
		QColor table_color_fog[400];
		float table_models[6][12];
		QLabel *table_pnt_img[400];
		QString table_transitions[400];
		QString tmp_cpast[12];
		QString wpathprojet;
		QString outfilename;
		QString wglob_str_1;
		QString wg_cpu;
		QString wg_library;
		QString wg_save_filename;
		int nbre_photos;
		int current_diapo;
		int poursuite;
		int w_y;
		int w_x;
		int poursuite_1;
		int w_y_1;
		int w_x_1;
		int zik_number;
		int total_audio;
		int tmpint_1;
		int tmpint_2;
		int tmpint_3;
		int tmpint_4;
		int tmpint_5;
		int tmpint_6;
		int poursuite_2;
		int nbre_imports;
		QString table_zik[1][2];
		int must_redraw;
		int ispreview;
		int position_flux;
		int nbre_occurs;
		QPixmap wg_comment;
		QPixmap wg_diapositive;
		QPixmap gl_fond;
		QPixmap gl_pix_1;
		QPixmap gl_pix_2;
		bool isplaying;
		QFrame *curframe;
		QTimer *mplayer_timer;
		QString wg_tmp_001;
		QString wg_tmp_002;
		QByteArray newData;
	private slots:
		void f_mblur(int);
		void f_size_anim(int);
		void f_rot_anim(int);
		void f_pos_anim_x(int);
		void f_pos_anim_y(int);
		void f_vit_anim(int);
		void f_treedir_click(QModelIndex);
		void f_dbl_load_photo();
		void f_miniature(QListWidgetItem*);
		void f_color_titre();
		void f_select_all();
		void f_splash_load();
		void f_refresh_liste();
		void f_switch_controls();
		void f_animation();
		void f_select_new();
		void f_launch_new();
		void f_open_bib();
		void f_open_bib_fond();
		void f_type_import();
		void f_close_bib();
		void f_cancel_new();
		void f_affiche_preview();
		void f_cancel_param_import();
		void f_charge_liste_files(QString);
		void f_chng_directory();
		void f_valid_ptrans();
		void f_gen_preview();
		void f_affiche_param_transitions();
		void f_genetrans();
		void f_updateMove();
		void f_fond_couleur();
		void f_plane();
		void f_plane_2();
		void f_plane_3();
		void f_book();
		void f_flag();
		void f_flag_2();
		void f_window();
		void f_cube();
		void f_cancel_swap();
		void f_valid_swap();
		void f_swap();
		void f_reload();
		void f_path_library();
		void f_find_out();
		void f_launch_gimp();
		void f_end_mainfrm(int);
		void f_ajout_effet();
		void f_remove_effet();
		void f_start_new();
		void f_preview_modifiee();
		void f_preview_originale();
		void f_change_color_fog();
		void f_changedur_2(int);
		void f_supp_comment();
		void f_model_changed(int);
		void f_swap_swap(int, int);
		void f_aff_modele();
		void f_close_modele();
		void f_valide_modele();
		void f_preview();
		void f_save_param_manslide();
		void f_calcul_son();
		void f_close_param_import();
		void f_aff_m_zik();
		void f_aff_m_proj();
		void f_aff_m_img();
		void f_aff_m_param();
		void f_aff_m_export();
		void f_open_comment();
		void f_close_effets();
		void f_aff_effects();
		void f_save_proj();
		void f_open_proj();
		void f_sync();
		void f_raz();
		void f_copy();
		void f_paste();
		void f_pos_leg(int);
		void f_police();
		void f_couleur();
		void f_chg_leg(QString);
		void f_chg_tool_a();
		void f_chg_tool_b();
		void f_chg_tool_c();
		void f_chg_tool_d();
		void f_chg_tool_e();
		void f_chg_tool_f();
		void f_durp_deb(int);
		void f_durp_end(int);
		void f_change_fond();
		void f_factor(int);
		void f_brouillard(int);
		void f_backanim(int);
		void f_percent_blending(int);
		void f_percent_blending_2(int);
		void f_opacity(int);
		void f_opacity_2(int);
		void f_opacity_slide(int);
		void md_fin();
		void md_start();
    		void start_play();
    		void start_play_all();
		void stop_play();
		void load_photo();
		void supp_diapo();
		void affichage_diapo();
		void f_hmirror();
		void f_vmirror();
		void f_pcontraste();
		void f_mcontraste();
		void f_sepia();
		void f_negate();
		void f_blur();
		void f_sharpen();
		void f_edge();
		void f_emboss();
		void f_paint();
		void f_gris();
		void f_rneg();
		void f_rpos();
		void f_fade();
		void end_process(int, QProcess::ExitStatus);
		void end_encoding(int, QProcess::ExitStatus);
		void end_convert_video(int, QProcess::ExitStatus);
		void f_generer_diapo();
		void f_changedur(int valeur);
		void f_render();
		void lecture_console_encoding();
		void lecture_convert_video();
		bool eventFilter(QObject *o, QEvent *e);
		void f_scroll_timeline(int valeur);
		void f_scroll_forme(int valeur);
		void f_transition_changed(int myindex);
		void f_transition_duree_changed(int);
		void lecture_console_magick();
		void f_screenshot();
		void f_affiche_parametres();
		void f_dep_gauche();
		void f_dep_droite();
		void keyPressEvent( QKeyEvent *k );
		void f_apply_effets(int state);
		void f_add_zik();
		void lecture_console_import_zik();
		void end_zik_import(int, QProcess::ExitStatus);
		void fin_fin_encoding();
		void f_sup_zik();
		void end_encoding_audio(int, QProcess::ExitStatus);
		void lecture_console_out_audio_encoding();
		void lecture_console_out_mencoder();
		void end_all_audio(int, QProcess::ExitStatus);
		void end_save_project(int, QProcess::ExitStatus);
		void sl_go_start();
		void sl_go_end();
		void f_close_player();
		void f_bidon();
		// *** MPLAYER ***
		void player_open_video(QString);
		void player_play_video();
		void player_read_stdout();
		void player_percent_change();
		void player_start_percent_change();
		void player_end(int, QProcess::ExitStatus);
		void player_current_percent();
	private:
		QProcess myprocess_1;
		QProcess myprocess_2;
		QProcess myprocess_3;
		QProcess myprocess_4;
		QProcess myprocess_5;
		QProcess myprocess_7;
		//QProcess myprocess_8;
		QProcess myprocess_9;
		QProcess mplayerProcess;
};
#endif
