#include <QtGui>
#include "mainfrm.h"

void mainfrm::f_valid_ptrans()
{
	player_end(0, QProcess::NormalExit);
      	QFile myfic(wpathprojet + "/eraseall.sh");

        if ( !myfic.open( QIODevice::WriteOnly ))
        {
	}
	else
	{
		QTextStream out(&myfic);
		out << "#!/bin/bash" << endl;
		out << "cd " + wpathprojet << endl;
		out << "rm -f stepTFI*.jpg" << endl;
		out << "rm -f stepTFI.avi" << endl;
		out << "rm -f stepTA.*" << endl;
		out << "rm -f stepTB.*" << endl;
		out << "rm -f *.sh" << endl;
		out << "exit";
		myfic.close();
		//
		QString program = "bash";
		QStringList arguments;
       		arguments << wpathprojet + "/eraseall.sh";
		ispreview = 9;
		myprocess_9.start( program, arguments );
	}
	frame_param_trans->hide();
	QString charwork = "";
	if ( inverser->isChecked() == true )
	{
		charwork = "1;";
	}
	else
	{
		charwork = "0;";
	}
	table_photos[current_diapo][31] = charwork + QString::number(slider_smooth->value());
	frame_topmenu->setEnabled(true);
	contain_timeline->setEnabled(true);
	frame_toptimeline->setEnabled(true);
	menu_images->setEnabled(true);
}

void mainfrm::f_gen_preview()
{
	if (frame_param_trans->isVisible() == true)
	{
		this->setDisabled(true);
		player_end(0, QProcess::NormalExit);
		f_genetrans();
	}
}

void mainfrm::f_affiche_param_transitions()
{
	QImage wl_img_001(wpathprojet + "/" + table_photos[current_diapo][0]);
	QImage wl_img_003 = wl_img_001.scaled(360,288,Qt::IgnoreAspectRatio, Qt::FastTransformation);
	wl_img_003.save(wpathprojet + "/stepTA.jpg","JPEG");
	if ( current_diapo > 0 )
	{
		QImage wl_img_002(wpathprojet + "/" + table_photos[current_diapo-1][0]);
		QImage wl_img_004 = wl_img_002.scaled(360,288,Qt::IgnoreAspectRatio, Qt::FastTransformation);
		wl_img_004.save(wpathprojet + "/stepTB.jpg","JPEG");
	}
	else
	{
		QImage fdnoir(360,288,QImage::Format_ARGB32);
		fdnoir.fill(Qt::black);
		fdnoir.save(wpathprojet + "/stepTB.jpg","JPEG");
	}
	//
	this->setDisabled(true);
	frame_param_trans->setGeometry(289,151,421,381);
	frame_param_trans->show();
	frame_param_trans->raise();
	//
	f_genetrans();
}

void mainfrm::f_genetrans()
{
        QFile myfic(wpathprojet + "/encode.sh");

        if ( !myfic.open( QIODevice::WriteOnly ))
        {
		return;
	}
	QTextStream out(&myfic);
	out << "#!/bin/bash" << endl;
        out << "cd " + wpathprojet << endl;
	out << "image2raw -ppm -s 360x288 stepTA.jpg > stepTA.ppm" << endl;
	out << "image2raw -ppm -s 360x288 stepTB.jpg > stepTB.ppm" << endl;
	QString wl_var_1;
	QString wl_var_2;
	QString wendfile;
	QString istrue;
	int wfader = slider_smooth->value();
	int compteur = 0;
	int progress = 0;
	if ( inverser->isChecked() == true )
	{
		istrue = "true";
	}
	else
	{
		istrue = "false";
	}
	//int duree_trans = table_photos[current_diapo][21].toInt() * 25;
	int duree_trans = 15;
	int step_progress = 1000 / duree_trans;
	int wl_delta;
	int wl_cpt_delta = 0;
	if ( (100 % duree_trans) > 0 )
	{
		wl_delta = 10 / (100 % duree_trans);
	}
	else
	{
		wl_delta = 0;
	}
	while ( compteur < duree_trans + 5 )
	{
		wl_var_1 = "000000000";
		wl_var_2 = QString::number(compteur);
		wl_var_1.replace( 9 - wl_var_2.length(), wl_var_2.length(), wl_var_2);
		wendfile = "stepTFI" + wl_var_1 + ".jpg";
		out << "cat stepTB.ppm | ppmfilter --plugin-producer \"cat stepTA.ppm\" --luma file=\"" +  table_transitions[table_photos[current_diapo][20].toInt()] + "\" reverse=" + istrue + " period=1 rollfx=0.5 smooth=" + QString::number((float)wfader/100) + " fixed=" + QString::number((float)progress/1000) + " | pnmtojpeg > " + wendfile << endl;
		progress = progress + step_progress;
		compteur = compteur + 1;
		wl_cpt_delta = wl_cpt_delta + 1;
		if ( wl_cpt_delta == wl_delta )
		{
			progress = progress + 1;
		}
	}
// *** Lancement du process de generation ***
	myfic.close();

	QString program = "bash";
       	QStringList arguments;
	//
	ispreview = 6;
       	arguments << wpathprojet + "/encode.sh";
       	myprocess_9.start( program, arguments );
}
